package com.bonus.canteen.core.menu.dto;

import com.bonus.canteen.core.common.page.PageDTO;
import io.swagger.annotations.ApiModelProperty;

import javax.validation.constraints.NotNull;

public class QueryRecipeTemplateDateDTO extends PageDTO {
   @ApiModelProperty("菜谱id")
   private @NotNull(
   message = "{menu_recipe_id_null}"
) Long recipeId;
   @ApiModelProperty("发布日期")
   private @NotNull(
   message = "{menu_apply_date_null}"
) Integer applyWeek;

   public Long getRecipeId() {
      return this.recipeId;
   }

   public Integer getApplyWeek() {
      return this.applyWeek;
   }

   public void setRecipeId(final Long recipeId) {
      this.recipeId = recipeId;
   }

   public void setApplyWeek(final Integer applyWeek) {
      this.applyWeek = applyWeek;
   }
}
